Dear Rubyists,

I try to install rails (gem) and I do have a set of gems in my current
directory:

actionpack-1.8.1.gem
activesupport-1.0.4.gem  
actionwebservice-0.7.1.gem  rails-0.12.1.gem
actionmailer-0.9.1.gem     activerecord-1.10.1.gem     rake-0.5.4.gem

so I try:

$ gem list

*** LOCAL GEMS ***

PrettyException (0.9.5)
    PrettyException is a library to output pretty html output for raised
    exceptions.

rake (0.5.4)
    Ruby based make-like utility.

RedCloth (3.0.3)
    RedCloth is a module for using Textile and Markdown in Ruby. Textile
    and Markdown are text formats.  A very simple text format. Another
    stab at making readable text that can be converted to HTML.

sources (0.0.1)
    This package provides download sources for remote gem installation


$ gem install rails --include-dependencies
Attempting local installation of 'rails'
Successfully installed rails, version 0.12.1


but the only change to the gem list is:

rails (0.12.1)
    Web-application framework with template engine, control-flow layer,
    and ORM.

none of the dependencies have been installed. No warning. 

Why?


Patrick